PETSc version 3.15.5
Fix/Edit manual page

# TSTrajectoryCreate

This function creates an empty trajectory object used to store the time dependent solution of an ODE/DAE

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSTrajectoryCreate(MPI_Comm comm,TSTrajectory *tj)

Collective

### Input Parameter

| comm | - the communicator

### Output Parameter

| tj | - the trajectory object

### Notes

Usually one does not call this routine, it is called automatically when one calls TSSetSaveTrajectory().

### See Also

TSTrajectorySetUp(), TSTrajectoryDestroy(), TSTrajectorySetType(), TSTrajectorySetVariableNames(), TSGetTrajectory(), TSTrajectorySetKeepFiles()

### Level

developer

### Location

src/ts/trajectory/interface/traj.c

### Implementations

TSTrajectoryCreate_Basic in src/ts/trajectory/impls/basic/trajbasic.c
TSTrajectoryCreate_Memory in src/ts/trajectory/impls/memory/trajmemory.c
TSTrajectoryCreate_Singlefile in src/ts/trajectory/impls/singlefile/singlefile.c
TSTrajectoryCreate_Visualization in src/ts/trajectory/impls/visualization/trajvisualization.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages